Kerbal Space Program - Bug #24663

Entering the exact time of a maneuver node in the UT text box moves the node around the proposed

maneuver instead around the current orbit.
01/19/2020 07:51 AM - Anth12

Status: Resolved Start date: 01/19/2020
Severity: Low % Done: 100%
Assignee:

Category: Controls and Ul

Target version: 1.10.0

Version: 1.8.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

KSP 1.8.1 (No Mods)
How to replicate:

1. Load 'Movement Node Bug Quicksave.sfs'

2. Go to Map Mode

3. Click on node to open maneuver node tab at the bottom left

4. Change UT from the clock (Y D H M S is broken) to S (seconds)
5. Enter 3000

Before.png and After.png will show what happens.

Work Around:
Go to the gizmo and move the node around with the right and left arrow

History

#1 - 03/05/2020 07:09 PM - Sidney.Christian
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#3 - 07/06/2020 03:15 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version set to 1.10.0

- % Done changed from 10 to 80

We've made some changes in this latest version and would like some feedback on this issue.

#4 - 07/08/2020 07:42 AM - Anth12
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

Retested in 1.8.1 and then 1.10.0

Resolved

Files

Movement Node Bug Quicksave.sfs 46 KB 01/19/2020 Anth12
Before.png 1.76 MB 01/19/2020 Anth12
After.png 1.76 MB 01/19/2020 Anth12
